package com.zjsgfa.project.zjsgfa.domain;


import com.zjsgfa.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * Created by wangjian on 2021/11/29.
 */
public class ProcessBaseEntity extends BaseEntity {

    /** 申请人姓名 */
    private String applyUserName;

    /** 任务ID */
    private String taskId;

    /** 任务名称 */
    private String taskName;

    /** 办理时间 */
    private Date doneTime;

    /** 创建人 */
    private String createUserName;

    /** 流程实例状态 1 激活 2 挂起 */
    private String suspendState;

    /** 审批意见 的 流程走向选择 true=同意，back=退回，reject=拒绝 */
    private String flowTrendOption;

    /** 审核时的批注 */
    private String p_COM_comment;
    /** 审核时的选择 */
    private String p_B_approved;

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Date getDoneTime() {
        return doneTime;
    }

    public void setDoneTime(Date doneTime) {
        this.doneTime = doneTime;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getSuspendState() {
        return suspendState;
    }

    public void setSuspendState(String suspendState) {
        this.suspendState = suspendState;
    }

    public String getFlowTrendOption() {
        return flowTrendOption;
    }

    public void setFlowTrendOption(String flowTrendOption) {
        this.flowTrendOption = flowTrendOption;
    }

    public String getP_COM_comment() {
        return p_COM_comment;
    }

    public void setP_COM_comment(String p_COM_comment) {
        this.p_COM_comment = p_COM_comment;
    }

    public String getP_B_approved() {
        return p_B_approved;
    }

    public void setP_B_approved(String p_B_approved) {
        this.p_B_approved = p_B_approved;
    }
}
